Gem::Specification.new do |s|
  s.name = %q{mechanize}
  s.version = "0.6.10"
  s.date = %q{2007-07-26}
  s.summary = %q{Mechanize provides automated web-browsing}
  s.email = %q{aaronp@rubyforge.org}
  s.homepage = %q{http://mechanize.rubyforge.org/}
  s.rubyforge_project = %q{mechanize}
  s.description = %q{The Mechanize library is used for automating interaction with websites.  Mechanize automatically stores and sends cookies, follows redirects, can follow links, and submit forms.  Form fields can be populated and submitted.  Mechanize also keeps track of the sites that you have visited as a history.}
  s.has_rdoc = true
  s.authors = ["Aaron Patterson"]
  s.files = ["CHANGELOG.txt", "EXAMPLES.txt", "GUIDE.txt", "LICENSE.txt", "Manifest.txt", "NOTES.txt", "README.txt", "Rakefile", "eg/flickr_upload.rb", "eg/mech-dump.rb", "eg/proxy_req.rb", "eg/rubyforge.rb", "eg/spider.rb", "lib/mechanize.rb", "lib/mechanize/cookie.rb", "lib/mechanize/errors.rb", "lib/mechanize/form.rb", "lib/mechanize/form_elements.rb", "lib/mechanize/history.rb", "lib/mechanize/inspect.rb", "lib/mechanize/list.rb", "lib/mechanize/monkey_patch.rb", "lib/mechanize/net-overrides/net/http.rb", "lib/mechanize/net-overrides/net/https.rb", "lib/mechanize/net-overrides/net/protocol.rb", "lib/mechanize/page.rb", "lib/mechanize/page_elements.rb", "lib/mechanize/parsers/rexml_page.rb", "lib/mechanize/pluggable_parsers.rb", "lib/mechanize/rexml.rb", "setup.rb", "test/data/htpasswd", "test/data/server.crt", "test/data/server.csr", "test/data/server.key", "test/data/server.pem", "test/htdocs/alt_text.html", "test/htdocs/bad_form_test.html", "test/htdocs/button.jpg", "test/htdocs/empty_form.html", "test/htdocs/file_upload.html", "test/htdocs/find_link.html", "test/htdocs/form_multi_select.html", "test/htdocs/form_multival.html", "test/htdocs/form_no_action.html", "test/htdocs/form_no_input_name.html", "test/htdocs/form_select.html", "test/htdocs/form_select_all.html", "test/htdocs/form_select_none.html", "test/htdocs/form_select_noopts.html", "test/htdocs/form_set_fields.html", "test/htdocs/form_test.html", "test/htdocs/frame_test.html", "test/htdocs/google.html", "test/htdocs/iframe_test.html", "test/htdocs/index.html", "test/htdocs/link with space.html", "test/htdocs/no_title_test.html", "test/htdocs/relative/tc_relative_links.html", "test/htdocs/tc_bad_links.html", "test/htdocs/tc_base_link.html", "test/htdocs/tc_blank_form.html", "test/htdocs/tc_checkboxes.html", "test/htdocs/tc_encoded_links.html", "test/htdocs/tc_follow_meta.html", "test/htdocs/tc_form_action.html", "test/htdocs/tc_links.html", "test/htdocs/tc_no_attributes.html", "test/htdocs/tc_pretty_print.html", "test/htdocs/tc_radiobuttons.html", "test/htdocs/tc_referer.html", "test/htdocs/tc_relative_links.html", "test/htdocs/tc_textarea.html", "test/htdocs/unusual______.html", "test/ssl_server.rb", "test/tc_authenticate.rb", "test/tc_bad_links.rb", "test/tc_blank_form.rb", "test/tc_checkboxes.rb", "test/tc_cookie_class.rb", "test/tc_cookie_jar.rb", "test/tc_cookies.rb", "test/tc_encoded_links.rb", "test/tc_errors.rb", "test/tc_follow_meta.rb", "test/tc_form_action.rb", "test/tc_form_as_hash.rb", "test/tc_form_button.rb", "test/tc_form_no_inputname.rb", "test/tc_forms.rb", "test/tc_frames.rb", "test/tc_gzipping.rb", "test/tc_history.rb", "test/tc_html_unscape_forms.rb", "test/tc_if_modified_since.rb", "test/tc_keep_alive.rb", "test/tc_links.rb", "test/tc_mech.rb", "test/tc_multi_select.rb", "test/tc_no_attributes.rb", "test/tc_page.rb", "test/tc_pluggable_parser.rb", "test/tc_post_form.rb", "test/tc_pretty_print.rb", "test/tc_proxy.rb", "test/tc_radiobutton.rb", "test/tc_referer.rb", "test/tc_relative_links.rb", "test/tc_response_code.rb", "test/tc_save_file.rb", "test/tc_select.rb", "test/tc_select_all.rb", "test/tc_select_none.rb", "test/tc_select_noopts.rb", "test/tc_set_fields.rb", "test/tc_ssl_server.rb", "test/tc_subclass.rb", "test/tc_textarea.rb", "test/tc_upload.rb", "test/tc_watches.rb", "test/test_all.rb", "test/test_includes.rb", "test/test_mechanize_file.rb", "test/test_servlets.rb"]
  s.test_files = ["test/test_all.rb"]
  s.rdoc_options = ["--main", "README.txt"]
  s.extra_rdoc_files = ["CHANGELOG.txt", "EXAMPLES.txt", "GUIDE.txt", "LICENSE.txt", "Manifest.txt", "NOTES.txt", "README.txt"]
  s.add_dependency(%q<hpricot>, [">= 0.5.0"])
  s.add_dependency(%q<hoe>, [">= 1.2.2"])
end
